@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';




$font-weight--bold: 700;

$oms-widget-popup-bottom-toolbar--height: 80px;
$oms-widget-stockleveladjustment-header--height: 60px;
$oms-widget-stockleveladjustment-separator--height: 2*$container-spacing-default__third;
$oms-widget-footer-gutter: 2*$container-spacing-default__third;
$omg-widget-gutter: 2*$container-spacing-default__third;
$oms-widget-footer-border: 1px solid $grey__default--300;
$oms-add-button-color: $blue__default;

$y-add-btn--margin-bottom: 15px;
$y-add-btn--padding: 20px;
$y-add-btn--font-size: 15px;

//implementing the footer buttons styling
.oms-widget-footer{
    padding: $oms-widget-footer-gutter;
    text-align: right;
    border-top: $oms-widget-footer-border;
}

.oms-widget-stockleveladjustment-configuration-footer,
.oms-widget-footer{
    height: $oms-widget-popup-bottom-toolbar--height;
}

.oms-widget-stockadjustment-configuration--separator{
    height: $oms-widget-stockleveladjustment-separator--height;
}

.oms-widget-stockleveladjustment-header{
    height: $oms-widget-stockleveladjustment-header--height;
}

.oms-widget-stockadjustment-list-container-h{
    border-top: $oms-widget-footer-border;
    height: calc(100% - #{$oms-widget-popup-bottom-toolbar--height + 2*$oms-widget-stockleveladjustment-separator--height + $oms-widget-stockleveladjustment-header--height});
    overflow: scroll;
    padding-bottom: 3*$omg-widget-gutter;
}

.oms-widget-stockadjustment-header, 
.oms-widget-stockadjustment-list-container-h{
    padding-left: $omg-widget-gutter;
    padding-right: $omg-widget-gutter;
}

//setting a border under the dialod title
.oms-widget-stockadjustment-configuration{
    border-top: $oms-widget-footer-border;
}

//overwriting grid styling to match the listbox - header
.oms-widget-stockadjustment-list-container .z-grid-header{
    background: transparent;
}

.y-add-btn,
.y-add-btn:hover,
.y-add-btn:active,
.y-add-btn:focus{
    border: none;
    color: $oms-add-button-color;
    width: 100%;
    margin-bottom: $y-add-btn--margin-bottom;
    padding: $y-add-btn--padding;
    font-size: $y-add-btn--font-size;
    font-weight: $font-weight--bold;
    text-transform: uppercase;
    display: block;
    background: transparent;
}
